/***************************************************************************
 *   Copyright (C) 2009 by Rico Rommel   *
 *   rico@bierrommel.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef APPINTERFACE_H
#define APPINTERFACE_H

#include <QWidget>
#include <QCheckBox>
#include <QComboBox>
#include <QtGui>
#include <QLineEdit>

#include "config.h"



class AppInterface : public QWidget
{
	Q_OBJECT

public:
    AppInterface (QString name, QWidget *parent);
    QString getPreventState();
    void saveSettings(QSettings *settings);
    void loadSettings( QSettings *settings);
    ~AppInterface ();
protected:
    QLineEdit *LineEdit;
    QComboBox *ComboBox;
    QStringList idlestates;
    QString Name;
   
    virtual void resizeEvent( QResizeEvent *event);

protected slots:
    void LineEditChanged( QString );
};

#endif